<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Register</title>
</head>
<body>
    <h1>Register</h1>

    <form method="POST" th:object="${spitter}" enctype="multipart/form-data">
        <div class="errors" th:if="${#fields.hasErrors('*')}">
            <ul>
                <li th:each="err : ${#fields.errors('*')}" th:text="${err}">
                    Input is incorrect
                </li>
            </ul>
        </div>

        <label th:class="${#fields.hasErrors('firstName')}? 'error'">First Name:</label>
        <input type="text" th:field="*{firstName}" th:class="${#fields.hasErrors('firstName')}? 'error'" /><br />

        <label th:class="${#fields.hasErrors('lastName')}? 'error'">Last Name:</label>
        <input type="text" th:field="*{lastName}" th:class="${#fields.hasErrors('lastName')}? 'error'" /><br />

        <label th:class="${#fields.hasErrors('username')}? 'error'">Username:</label>
        <input type="text" th:field="*{username}" th:class="${#fields.hasErrors('username')}? 'error'" /><br />

        <label th:class="${#fields.hasErrors('password')}? 'error'">Pasword:</label>
        <input type="text" th:field="*{password}" th:class="${#fields.hasErrors('password')}? 'error'" /><br />

        <label>Profile Picture</label>
        <input type="file" name="profilePicture" accept="image/jpeg,image/png,image/gif" /><br />

        <input type="submit" value="Register" />
    </form>
</body>
</html>